package org.springblade.device.feign;

import com.baomidou.mybatisplus.plugins.Page;
import org.springblade.core.mp.support.BladePage;
import org.springblade.core.tool.api.R;
import org.springblade.device.dto.IotDeviceDTO;
import org.springblade.device.entity.IotDevice;
import org.springblade.device.vo.IotDeviceVO;
import org.springblade.device.vo.SingleDeviceStatistics;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Component
public class IotDeviceClientFallback implements IIotDeviceClient {
            /**
         * 详情
         */
        @Override
        public IotDeviceVO detail(IotDevice iotDevice) {
            return null;
        }

	@Override
	public IotDevice getById(Long id) {
		return null;
	}

	@Override
	public BladePage<IotDeviceVO> getList(IotDeviceDTO iotDeviceDTO) {
		return null;
	}

	@Override
	public List<IotDeviceVO> list(IotDevice iotDevice) {
		return new ArrayList<>();
	}

	@Override
	public List<IotDeviceVO> listMap(Map<String, Object> iotDevice) {
		return new ArrayList<>();
	}


	@Override
	public List<IotDeviceVO> getListByRoomIds(List<Long> roomIds) {
		return new ArrayList<>();
	}


	/**
         * 新增 智能设备
         */
        @Override
        public boolean save( IotDevice iotDevice) {
            return false;
        }

        /**
         * 修改 智能设备
         */
        @Override
        public boolean update( IotDevice iotDevice) {
            return false;
        }

        /**
         * 新增或修改 智能设备
         */
        @Override
        public boolean submit( IotDevice iotDevice) {
            return false;
        }


        /**
         * 删除 智能设备
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

		@Override
		public List<IotDevice> getSmokeDeviceList(IotDevice iotDevice) {
			return new ArrayList<>();
		}

		@Override
		public List<IotDevice> getGasDeviceList(IotDevice iotDevice) {
			return new ArrayList<>();
		}

		@Override
		public R<IotDeviceVO> getIotDeviceStaticVo(IotDevice iotDevice) {
			return null;
		}

		@Override
		public R<List<SingleDeviceStatistics>> deviceListCount(IotDevice iotDevice) { return null; }

	@Override
	public IotDeviceVO getDeviceByDeviceIdOrImei(String deviceId) {
		return null;
	}

}
